
#ifndef GLASS_DND_H
#define	GLASS_DND_H

#include "glass_general.h"
#include "glass_window.hpp"
#include <jni.h>

extern "C" {
#include <gtk/gtk.h>
}

    void process_dnd_target(WindowContext *, GdkEventDND *);
    jint dnd_target_get_supported_actions(JNIEnv *);
    jobjectArray dnd_target_get_mimes(JNIEnv *);
    jobject dnd_target_get_data(JNIEnv *, jstring);
    
    void process_dnd_source(GdkWindow *, GdkEvent *);
    jint execute_dnd(JNIEnv *, jobject, jint);

    gboolean is_in_drag();

#endif	/* GLASS_DND_H */

